summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--packages/base-files/base-files/mtx-2/.mtn2git_empty (renamed from packages/pcre/.mtn2git_empty)0
-rw-r--r--packages/base-files/base-files/mtx-2/fstab8
-rw-r--r--packages/base-files/base-files/mtx-2/profile25
-rw-r--r--packages/images/nylon-image-base.bb8
-rw-r--r--packages/images/nylon-image-extended.bb85
-rw-r--r--packages/images/nylon-image-extra.bb4
-rw-r--r--packages/images/nylon-image-standard.bb2
-rw-r--r--packages/initscripts/initscripts-1.0/mtx-1/.mtn2git_empty0
-rwxr-xr-xpackages/initscripts/initscripts-1.0/mtx-1/checkroot.sh167
-rwxr-xr-xpackages/initscripts/initscripts-1.0/mtx-1/mountall.sh46
-rw-r--r--packages/initscripts/initscripts-1.0/mtx-2/.mtn2git_empty0
-rwxr-xr-xpackages/initscripts/initscripts-1.0/mtx-2/checkroot.sh167
-rwxr-xr-xpackages/initscripts/initscripts-1.0/mtx-2/mountall.sh46
-rw-r--r--packages/kismet/kismet-2004-04-R1/mtx-2/.mtn2git_empty0
-rw-r--r--packages/kismet/kismet-2004-04-R1/mtx-2/kismet.conf328
-rw-r--r--packages/kismet/kismet_2004-04-R1.bb1
-rw-r--r--packages/libccaudio2/.mtn2git_empty0
-rw-r--r--packages/libccaudio2/libccaudio2-0.9.0/.mtn2git_empty0
-rw-r--r--packages/libccaudio2/libccaudio2-0.9.0/01-ccaudio-fixed-point.diff677
-rw-r--r--packages/libccaudio2/libccaudio2-0.9.0/02-ccaudio-stereo.diff54
-rw-r--r--packages/libccaudio2/libccaudio2-0.9.0/03-ccaudio-dtmf-reset.diff36
-rw-r--r--packages/libccaudio2/libccaudio2_0.9.0.bb24
-rw-r--r--packages/libpcre/.mtn2git_empty0
-rw-r--r--packages/libpcre/libpcre-native_4.4.bb4
-rw-r--r--packages/libpcre/libpcre_4.4.bb (renamed from packages/pcre/pcre_4.4.bb)22
-rw-r--r--packages/linux/handhelds-pxa-2.6/h5xxx/defconfig146
-rw-r--r--packages/linux/handhelds-pxa-2.6/ipaq-pxa270/defconfig2
-rw-r--r--packages/meta/nylon-feed.bb128
-rw-r--r--packages/meta/nylon-feed.inc68
-rw-r--r--packages/modutils/files/mtx-2/.mtn2git_empty0
-rw-r--r--packages/modutils/files/mtx-2/modules3
-rw-r--r--packages/net-snmp/files/mtx-2/.mtn2git_empty0
-rw-r--r--packages/net-snmp/files/mtx-2/snmpd.conf434
-rw-r--r--packages/netbase/netbase/mtx-2/.mtn2git_empty0
-rw-r--r--packages/netbase/netbase/mtx-2/interfaces29
-rw-r--r--packages/nylon/nylon-scripts_cvs.bb14
-rw-r--r--packages/nylon/nylon-statistics.bb7
-rw-r--r--packages/nylon/simple-firewall.bb5
-rw-r--r--packages/nylon/yamonenv.bb3
-rw-r--r--packages/pcre/pcre-native_4.4.bb4
-rw-r--r--packages/speex/speex_1.1.12+1.2beta1.bb38
-rw-r--r--packages/wpa-supplicant/files/mtx-2/.mtn2git_empty0
-rw-r--r--packages/wpa-supplicant/files/mtx-2/defconfig157
-rw-r--r--packages/wpa-supplicant/wpa-supplicant_0.3.8.bb1
-rw-r--r--packages/wpa-supplicant/wpa-supplicant_0.4.7.bb1
45 files changed, 2565 insertions, 179 deletions
diff --git a/packages/pcre/.mtn2git_empty b/packages/base-files/base-files/mtx-2/.mtn2git_empty
index e69de29bb2..e69de29bb2 100644
--- a/packages/pcre/.mtn2git_empty
+++ b/packages/base-files/base-files/mtx-2/.mtn2git_empty
diff --git a/packages/base-files/base-files/mtx-2/fstab b/packages/base-files/base-files/mtx-2/fstab
new file mode 100644
index 0000000000..f6f23ac2aa
--- /dev/null
+++ b/packages/base-files/base-files/mtx-2/fstab
@@ -0,0 +1,8 @@
+# /etc/fstab: static file system information. mtx-2
+#
+# <file system> <mount pt> <type> <options> <dump> <pass>
+rootfs / auto defaults 1 1
+tmpfs /var tmpfs size=10m 0 0
+proc /proc proc defaults 0 0
+devpts /dev/pts devpts mode=0620,gid=5 0 0
+usbdevfs /proc/bus/usb usbdevfs noauto 0 0
diff --git a/packages/base-files/base-files/mtx-2/profile b/packages/base-files/base-files/mtx-2/profile
new file mode 100644
index 0000000000..bedf2fc7d8
--- /dev/null
+++ b/packages/base-files/base-files/mtx-2/profile
@@ -0,0 +1,25 @@
+# /etc/profile: system-wide .profile file for the Bourne shell (sh(1))
+# and Bourne compatible shells (bash(1), ksh(1), ash(1), ...).
+
+PATH="/usr/local/bin:/usr/bin:/bin"
+
+if [ "`id -u`" -eq 0 ]; then
+ PATH=$PATH:/usr/local/sbin:/usr/sbin:/sbin:
+fi
+if [ "$PS1" ]; then
+# works for bash and ash (no other shells known to be in use here)
+ PS1='\u@\h:\w\$ '
+fi
+
+if [ -d /etc/profile.d ]; then
+ for i in `ls /etc/profile.d/`; do
+ . /etc/profile.d/$i
+ done
+ unset i
+fi
+
+export PATH PS1
+
+umask 022
+
+alias ll="ls -lah" \ No newline at end of file
diff --git a/packages/images/nylon-image-base.bb b/packages/images/nylon-image-base.bb
index a4f6d17dd8..4e7711e6c7 100644
--- a/packages/images/nylon-image-base.bb
+++ b/packages/images/nylon-image-base.bb
@@ -1,3 +1,6 @@
+inherit image_ipk nylon-image
+LICENSE = MIT
+
export IMAGE_BASENAME = "nylon-base"
NYLON_BASE = "base-files base-passwd bash busybox \
@@ -7,8 +10,8 @@ NYLON_BASE = "base-files base-passwd bash busybox \
openssh sysvinit \
timezones tinylogin"
-DEPENDS = "virtual/kernel"
-RDEPENDS = "kernel modutils-depmod modutils-modinfo \
+DEPENDS += "virtual/kernel less nano"
+RDEPENDS = "kernel modutils-depmod modutils-modinfo less nano \
${NYLON_BASE} ${BOOTSTRAP_EXTRA_RDEPENDS}"
export IPKG_INSTALL = "${RDEPENDS}"
@@ -19,4 +22,3 @@ IMAGE_LINGUAS = ""
ROOTFS_POSTPROCESS_COMMAND = "rm -f ${IMAGE_ROOTFS}/tmp/zImage*"
inherit image_ipk nylon-image
-LICENSE = MIT
diff --git a/packages/images/nylon-image-extended.bb b/packages/images/nylon-image-extended.bb
new file mode 100644
index 0000000000..09ec4897f6
--- /dev/null
+++ b/packages/images/nylon-image-extended.bb
@@ -0,0 +1,85 @@
+LICENSE = MIT
+require nylon-image-base.bb
+require ../meta/nylon-feed.inc
+
+export IMAGE_BASENAME = "nylon-extended"
+
+NYLON_EXTENDED_DEPENDS = "${NYLON_FEED}"
+
+NYLON_EXTENDED_RDEPENDS = "\
+ hostap-modules-cs \
+ hostap-modules-pci \
+ modutils-depmod \
+ modutils-initscripts \
+ modutils-modinfo \
+ ntpdate \
+ ntp-bin \
+ ntp-tickadj \
+ openssh-scp \
+ openssh-ssh \
+ openssh-sshd \
+ perl-misc \
+ perl-module-autoloader \
+ perl-module-base \
+ perl-module-bytes \
+ perl-module-carp \
+ perl-module-config \
+ perl-module-constant \
+ perl-module-data-dumper \
+ perl-module-encode \
+ perl-module-encode-alias \
+ perl-module-encode-config \
+ perl-module-encode-encoding \
+ perl-module-encode-unicode \
+ perl-module-errno \
+ perl-module-exporter \
+ perl-module-exporter-heavy \
+ perl-module-fields \
+ perl-module-getopt-long \
+ perl-module-integer \
+ perl-module-io \
+ perl-module-io-handle \
+ perl-module-io-socket \
+ perl-module-io-socket-inet \
+ perl-module-io-socket-unix \
+ perl-module-locale \
+ perl-module-overload \
+ perl-module-posix \
+ perl-module-selectsaver \
+ perl-module-socket \
+ perl-module-strict \
+ perl-module-symbol \
+ perl-module-sys-hostname \
+ perl-module-vars \
+ perl-module-warnings \
+ perl-module-warnings-register \
+ perl-module-xsloader \
+"
+
+KERNEL_MODULES = " \
+ kernel-module-aes \
+ kernel-module-bridge \
+ kernel-module-ds \
+ kernel-module-fat \
+ kernel-module-mii \
+ kernel-module-pcmcia-core \
+ kernel-module-scsi-mod \
+ kernel-module-sd-mod \
+ kernel-module-usb-storage \
+ kernel-module-usb-ohci \
+ kernel-module-usbnet \
+ kernel-module-usbserial \
+ kernel-module-vfat \
+ kernel-module-yenta-socket \
+"
+
+
+DEPENDS += "${NYLON_EXTENDED_DEPENDS}"
+
+RDEPENDS += "${NYLON_EXTENDED_DEPENDS} ${KERNEL_MODULES} ${NYLON_EXTENDED_RDEPENDS}"
+
+RDEPENDS_append_mtx-1 = "\
+ kernel-module-au1x00-bi \
+ kernel-module-network-fd \
+ kernel-module-usbdcore"
+ kernel-module-usbdprocfs \
diff --git a/packages/images/nylon-image-extra.bb b/packages/images/nylon-image-extra.bb
index 194783af7e..e825b15e69 100644
--- a/packages/images/nylon-image-extra.bb
+++ b/packages/images/nylon-image-extra.bb
@@ -1,3 +1,5 @@
+LICENSE = MIT
+
require nylon-image-standard.bb
export IMAGE_BASENAME = "nylon-extra"
@@ -7,5 +9,3 @@ RDEPENDS = "\
netperf \
nylon-statistics \
openvpn"
-
-LICENSE = MIT
diff --git a/packages/images/nylon-image-standard.bb b/packages/images/nylon-image-standard.bb
index d7acf29142..c3c98ceca4 100644
--- a/packages/images/nylon-image-standard.bb
+++ b/packages/images/nylon-image-standard.bb
@@ -1,3 +1,4 @@
+LICENSE = MIT
require nylon-image-base.bb
export IMAGE_BASENAME = "nylon-standard"
@@ -26,4 +27,3 @@ DEPENDS += "hostap-modules ntp \
RDEPENDS += "hostap-modules-pci ntpdate \
${NYLON_STANDARD}"
-LICENSE = MIT
diff --git a/packages/initscripts/initscripts-1.0/mtx-1/.mtn2git_empty b/packages/initscripts/initscripts-1.0/mtx-1/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/mtx-1/.mtn2git_empty
diff --git a/packages/initscripts/initscripts-1.0/mtx-1/checkroot.sh b/packages/initscripts/initscripts-1.0/mtx-1/checkroot.sh
new file mode 100755
index 0000000000..e8ae039650
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/mtx-1/checkroot.sh
@@ -0,0 +1,167 @@
+#
+# checkroot.sh Check to root filesystem.
+#
+# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to be spawned
+# from this script *before anything else* with a timeout, like SCO does.
+#
+test "$SULOGIN" = yes && sulogin -t 30 $CONSOLE
+
+#
+# Ensure that bdflush (update) is running before any major I/O is
+# performed (the following fsck is a good example of such activity :).
+#
+test -x /sbin/update && update
+
+#
+# Read /etc/fstab.
+#
+exec 9>&0 </etc/fstab
+rootmode=rw
+rootopts=rw
+rootcheck=no
+swap_on_md=no
+devfs=
+while read fs mnt type opts dump pass junk
+do
+ case "$fs" in
+ ""|\#*)
+ continue;
+ ;;
+ /dev/md*)
+ # Swap on md device.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ /dev/*)
+ ;;
+ *)
+ # Might be a swapfile.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ esac
+ test "$type" = devfs && devfs="$fs"
+ test "$mnt" != / && continue
+ rootopts="$opts"
+ test "$pass" = 0 -o "$pass" = "" && rootcheck=no
+ case "$opts" in
+ ro|ro,*|*,ro|*,ro,*)
+ rootmode=ro
+ ;;
+ esac
+done
+exec 0>&9 9>&-
+
+#
+# Activate the swap device(s) in /etc/fstab. This needs to be done
+# before fsck, since fsck can be quite memory-hungry.
+#
+doswap=no
+test -d /proc/1 || mount -n /proc
+case "`uname -r`" in
+ 2.[0123].*)
+ if test $swap_on_md = yes && grep -qs resync /proc/mdstat
+ then
+ test "$VERBOSE" != no && echo "Not activating swap - RAID array resyncing"
+ else
+ doswap=yes
+ fi
+ ;;
+ *)
+ doswap=yes
+ ;;
+esac
+if test $doswap = yes
+then
+ test "$VERBOSE" != no && echo "Activating swap"
+ swapon -a 2> /dev/null
+fi
+
+#
+# Check the root filesystem.
+#
+if test -f /fastboot || test $rootcheck = no
+then
+ test $rootcheck = yes && echo "Fast boot, no filesystem check"
+else
+ #
+ # Ensure that root is quiescent and read-only before fsck'ing.
+ #
+ mount -n -o remount,ro /
+ if test $? = 0
+ then
+ if test -f /forcefsck
+ then
+ force="-f"
+ else
+ force=""
+ fi
+ if test "$FSCKFIX" = yes
+ then
+ fix="-y"
+ else
+ fix="-a"
+ fi
+ spinner="-C"
+ case "$TERM" in
+ dumb|network|unknown|"") spinner="" ;;
+ esac
+ test `uname -m` = s390 && spinner="" # This should go away
+ test "$VERBOSE" != no && echo "Checking root filesystem..."
+ fsck $spinner $force $fix /
+ #
+ # If there was a failure, drop into single-user mode.
+ #
+ # NOTE: "failure" is defined as exiting with a return code of
+ # 2 or larger. A return code of 1 indicates that filesystem
+ # errors were corrected but that the boot may proceed.
+ #
+ if test "$?" -gt 1
+ then
+ # Surprise! Re-directing from a HERE document (as in
+ # "cat << EOF") won't work, because the root is read-only.
+ echo
+ echo "fsck failed. Please repair manually and reboot. Please note"
+ echo "that the root filesystem is currently mounted read-only. To"
+ echo "remount it read-write:"
+ echo
+ echo " # mount -n -o remount,rw /"
+ echo
+ echo "CONTROL-D will exit from this shell and REBOOT the system."
+ echo
+ # Start a single user shell on the console
+ /sbin/sulogin $CONSOLE
+ reboot -f
+ fi
+ else
+ echo "*** ERROR! Cannot fsck root fs because it is not mounted read-only!"
+ echo
+ fi
+fi
+
+#
+# If the root filesystem was not marked as read-only in /etc/fstab,
+# remount the rootfs rw but do not try to change mtab because it
+# is on a ro fs until the remount succeeded. Then clean up old mtabs
+# and finally write the new mtab.
+# This part is only needed if the rootfs was mounted ro.
+#
+echo "Remounting root file system..."
+mount -n -o remount,$rootmode /
+if test "$rootmode" = rw
+then
+ if test ! -L /etc/mtab
+ then
+ rm -f /etc/mtab~ /etc/nologin
+ : > /etc/mtab
+ fi
+ mount -f -o remount /
+ mount -f /proc
+ test "$devfs" && grep -q '^devfs /dev' /proc/mounts && mount -f "$devfs"
+fi
+
+: exit 0
diff --git a/packages/initscripts/initscripts-1.0/mtx-1/mountall.sh b/packages/initscripts/initscripts-1.0/mtx-1/mountall.sh
new file mode 100755
index 0000000000..4d12c06254
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/mtx-1/mountall.sh
@@ -0,0 +1,46 @@
+#
+# mountall.sh Mount all filesystems.
+#
+# Version: @(#)mountall.sh 2.83-2 01-Nov-2001 miquels@cistron.nl
+#
+. /etc/default/rcS
+
+#
+# Mount local filesystems in /etc/fstab. For some reason, people
+# might want to mount "proc" several times, and mount -v complains
+# about this. So we mount "proc" filesystems without -v.
+#
+test "$VERBOSE" != no && echo "Mounting local filesystems..."
+mount -a 2>/dev/null
+#t nonfs,nosmbfs,noncpfs 2>/dev/null
+
+#
+# We might have mounted something over /dev, see if /dev/initctl is there.
+#
+if test ! -p /dev/initctl
+then
+ rm -f /dev/initctl
+ mknod -m 600 /dev/initctl p
+fi
+kill -USR1 1
+
+#
+# Execute swapon command again, in case we want to swap to
+# a file on a now mounted filesystem.
+#
+doswap=yes
+case "`uname -r`" in
+ 2.[0123].*)
+ if grep -qs resync /proc/mdstat
+ then
+ doswap=no
+ fi
+ ;;
+esac
+if test $doswap = yes
+then
+ swapon -a 2> /dev/null
+fi
+
+: exit 0
+
diff --git a/packages/initscripts/initscripts-1.0/mtx-2/.mtn2git_empty b/packages/initscripts/initscripts-1.0/mtx-2/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/mtx-2/.mtn2git_empty
diff --git a/packages/initscripts/initscripts-1.0/mtx-2/checkroot.sh b/packages/initscripts/initscripts-1.0/mtx-2/checkroot.sh
new file mode 100755
index 0000000000..e8ae039650
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/mtx-2/checkroot.sh
@@ -0,0 +1,167 @@
+#
+# checkroot.sh Check to root filesystem.
+#
+# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
+#
+
+. /etc/default/rcS
+
+#
+# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to be spawned
+# from this script *before anything else* with a timeout, like SCO does.
+#
+test "$SULOGIN" = yes && sulogin -t 30 $CONSOLE
+
+#
+# Ensure that bdflush (update) is running before any major I/O is
+# performed (the following fsck is a good example of such activity :).
+#
+test -x /sbin/update && update
+
+#
+# Read /etc/fstab.
+#
+exec 9>&0 </etc/fstab
+rootmode=rw
+rootopts=rw
+rootcheck=no
+swap_on_md=no
+devfs=
+while read fs mnt type opts dump pass junk
+do
+ case "$fs" in
+ ""|\#*)
+ continue;
+ ;;
+ /dev/md*)
+ # Swap on md device.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ /dev/*)
+ ;;
+ *)
+ # Might be a swapfile.
+ test "$type" = swap && swap_on_md=yes
+ ;;
+ esac
+ test "$type" = devfs && devfs="$fs"
+ test "$mnt" != / && continue
+ rootopts="$opts"
+ test "$pass" = 0 -o "$pass" = "" && rootcheck=no
+ case "$opts" in
+ ro|ro,*|*,ro|*,ro,*)
+ rootmode=ro
+ ;;
+ esac
+done
+exec 0>&9 9>&-
+
+#
+# Activate the swap device(s) in /etc/fstab. This needs to be done
+# before fsck, since fsck can be quite memory-hungry.
+#
+doswap=no
+test -d /proc/1 || mount -n /proc
+case "`uname -r`" in
+ 2.[0123].*)
+ if test $swap_on_md = yes && grep -qs resync /proc/mdstat
+ then
+ test "$VERBOSE" != no && echo "Not activating swap - RAID array resyncing"
+ else
+ doswap=yes
+ fi
+ ;;
+ *)
+ doswap=yes
+ ;;
+esac
+if test $doswap = yes
+then
+ test "$VERBOSE" != no && echo "Activating swap"
+ swapon -a 2> /dev/null
+fi
+
+#
+# Check the root filesystem.
+#
+if test -f /fastboot || test $rootcheck = no
+then
+ test $rootcheck = yes && echo "Fast boot, no filesystem check"
+else
+ #
+ # Ensure that root is quiescent and read-only before fsck'ing.
+ #
+ mount -n -o remount,ro /
+ if test $? = 0
+ then
+ if test -f /forcefsck
+ then
+ force="-f"
+ else
+ force=""
+ fi
+ if test "$FSCKFIX" = yes
+ then
+ fix="-y"
+ else
+ fix="-a"
+ fi
+ spinner="-C"
+ case "$TERM" in
+ dumb|network|unknown|"") spinner="" ;;
+ esac
+ test `uname -m` = s390 && spinner="" # This should go away
+ test "$VERBOSE" != no && echo "Checking root filesystem..."
+ fsck $spinner $force $fix /
+ #
+ # If there was a failure, drop into single-user mode.
+ #
+ # NOTE: "failure" is defined as exiting with a return code of
+ # 2 or larger. A return code of 1 indicates that filesystem
+ # errors were corrected but that the boot may proceed.
+ #
+ if test "$?" -gt 1
+ then
+ # Surprise! Re-directing from a HERE document (as in
+ # "cat << EOF") won't work, because the root is read-only.
+ echo
+ echo "fsck failed. Please repair manually and reboot. Please note"
+ echo "that the root filesystem is currently mounted read-only. To"
+ echo "remount it read-write:"
+ echo
+ echo " # mount -n -o remount,rw /"
+ echo
+ echo "CONTROL-D will exit from this shell and REBOOT the system."
+ echo
+ # Start a single user shell on the console
+ /sbin/sulogin $CONSOLE
+ reboot -f
+ fi
+ else
+ echo "*** ERROR! Cannot fsck root fs because it is not mounted read-only!"
+ echo
+ fi
+fi
+
+#
+# If the root filesystem was not marked as read-only in /etc/fstab,
+# remount the rootfs rw but do not try to change mtab because it
+# is on a ro fs until the remount succeeded. Then clean up old mtabs
+# and finally write the new mtab.
+# This part is only needed if the rootfs was mounted ro.
+#
+echo "Remounting root file system..."
+mount -n -o remount,$rootmode /
+if test "$rootmode" = rw
+then
+ if test ! -L /etc/mtab
+ then
+ rm -f /etc/mtab~ /etc/nologin
+ : > /etc/mtab
+ fi
+ mount -f -o remount /
+ mount -f /proc
+ test "$devfs" && grep -q '^devfs /dev' /proc/mounts && mount -f "$devfs"
+fi
+
+: exit 0
diff --git a/packages/initscripts/initscripts-1.0/mtx-2/mountall.sh b/packages/initscripts/initscripts-1.0/mtx-2/mountall.sh
new file mode 100755
index 0000000000..4d12c06254
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/mtx-2/mountall.sh
@@ -0,0 +1,46 @@
+#
+# mountall.sh Mount all filesystems.
+#
+# Version: @(#)mountall.sh 2.83-2 01-Nov-2001 miquels@cistron.nl
+#
+. /etc/default/rcS
+
+#
+# Mount local filesystems in /etc/fstab. For some reason, people
+# might want to mount "proc" several times, and mount -v complains
+# about this. So we mount "proc" filesystems without -v.
+#
+test "$VERBOSE" != no && echo "Mounting local filesystems..."
+mount -a 2>/dev/null
+#t nonfs,nosmbfs,noncpfs 2>/dev/null
+
+#
+# We might have mounted something over /dev, see if /dev/initctl is there.
+#
+if test ! -p /dev/initctl
+then
+ rm -f /dev/initctl
+ mknod -m 600 /dev/initctl p
+fi
+kill -USR1 1
+
+#
+# Execute swapon command again, in case we want to swap to
+# a file on a now mounted filesystem.
+#
+doswap=yes
+case "`uname -r`" in
+ 2.[0123].*)
+ if grep -qs resync /proc/mdstat
+ then
+ doswap=no
+ fi
+ ;;
+esac
+if test $doswap = yes
+then
+ swapon -a 2> /dev/null
+fi
+
+: exit 0
+
diff --git a/packages/kismet/kismet-2004-04-R1/mtx-2/.mtn2git_empty b/packages/kismet/kismet-2004-04-R1/mtx-2/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/kismet/kismet-2004-04-R1/mtx-2/.mtn2git_empty
diff --git a/packages/kismet/kismet-2004-04-R1/mtx-2/kismet.conf b/packages/kismet/kismet-2004-04-R1/mtx-2/kismet.conf
new file mode 100644
index 0000000000..233aec378a
--- /dev/null
+++ b/packages/kismet/kismet-2004-04-R1/mtx-2/kismet.conf
@@ -0,0 +1,328 @@
+# Kismet config file
+# Most of the "static" configs have been moved to here -- the command line
+# config was getting way too crowded and cryptic. We want functionality,
+# not continually reading --help!
+
+# Version of Kismet config
+version=2004.03.devel.a
+
+# Name of server (Purely for organiational purposes)
+servername=Kismet
+
+# User to setid to (should be your normal user)
+suiduser=your_user_here
+
+# Sources are defined as:
+# source=cardtype,interface,name[,initialchannel]
+# Card types and required drivers are listed in the README.
+# The initial channel is optional, if hopping is not enabled it can be used
+# to set the channel the interface listens on.
+source=hostap,wlan0,wlan0
+source=hostap,wlan1,wlan1
+# Other common source configs:
+# source=prism2,wlan0,prism2source
+# source=prism2_avs,wlan0,newprism2source
+# source=orinoco,eth0,orinocosource
+# An example source line with an initial channel:
+# source=orinoco,eth0,silver,11
+
+# Comma-separated list of sources to enable. This is only needed if you defined
+# multiple sources and only want to enable some of them. By default, all defined
+# sources are enabled.
+# For example:
+# enablesources=prismsource,ciscosource
+
+# Do we channelhop?
+channelhop=true
+
+# How many channels per second do we hop? (1-10)
+channelvelocity=5
+
+# By setting the dwell time for channel hopping we override the channelvelocity
+# setting above and dwell on each channel for the given number of seconds.
+#channeldwell=10
+
+# Do we split channels between cards on the same spectrum? This means if
+# multiple 802.11b capture sources are defined, they will be offset to cover
+# the most possible spectrum at a given time. This also controls splitting
+# fine-tuned sourcechannels lines which cover multiple interfaces (see below)
+channelsplit=true
+
+# Basic channel hopping control:
+# These define the channels the cards hop through for various frequency ranges
+# supported by Kismet. More finegrain control is available via the
+# "sourcechannels" configuration option.
+#
+# Don't change the IEEE80211<x> identifiers or channel hopping won't work.
+
+# Users outside the US might want to use this list:
+# defaultchannels=IEEE80211b:1,7,13,2,8,3,14,9,4,10,5,11,6,12
+defaultchannels=IEEE80211b:1,6,11,2,7,3,8,4,9,5,10
+
+# 802.11g uses the same channels as 802.11b...
+defaultchannels=IEEE80211g:1,6,11,2,7,3,8,4,9,5,10
+
+# 802.11a channels are non-overlapping so sequential is fine. You may want to
+# adjust the list depending on the channels your card actually supports.
+# defaultchannels=IEEE80211a:36,40,44,48,52,56,60,64,100,104,108,112,116,120,124,128,132,136,140,149,153,157,161,184,188,192,196,200,204,208,212,216
+defaultchannels=IEEE80211a:36,40,44,48,52,56,60,64
+
+# Combo cards like Atheros use both 'a' and 'b/g' channels. Of course, you
+# can also explicitly override a given source. You can use the script
+# extras/listchan.pl to extract all the ch